#
# spec file
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2016 Aeneas Jaissle <aj@ajaissle.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define modname sievelib
Name:           python-%{modname}
Version:        1.2.1
Release:        2.1
Summary:        Client-side Sieve and Managesieve library written in Python
License:        MIT
URL:            https://pypi.python.org/pypi/sievelib
Source:         https://files.pythonhosted.org/packages/source/s/sievelib/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Client-side Sieve and Managesieve library written in Python.
* Sieve: An Email Filtering Language (RFC 5228)
* ManageSieve: A Protocol for Remotely Managing Sieve Scripts (RFC 5804)

%prep
%setup -q -n %{modname}-%{version}
sed -i -e '/^#!\/usr\/bin.*python/d' sievelib/parser.py
chmod -x sievelib/parser.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license COPYING
%doc README.rst
%{python_sitelib}/sievelib
%{python_sitelib}/sievelib-%{version}.dist-info

%changelog
* Fri Sep  1 2023 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- Actually run the testsuite.
- Drop unneeded future requirement.
- Stop using greedy globs in %%files.
* Mon Jan 25 2021 Dirk Müller <dmueller@suse.com>
- update to 1.2.1:
  * Fixed parser issues regarding missing comma in tests accepting testlist arguments.
  * remove python 2.x support
- drop fix_pip_version.patch: obsolete
* Mon May 28 2018 mcepl@suse.com
- clean up SPEC file
- allow installation with spectools in openSUSE repo
    fix_pip_version.patch
- upgrade to 1.1.1:
  * Various minor clean up
  * added support for RFC3894.
  * added tests
  * Python 3 compatibility
  * provide support for non-IPv4 connections
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Tue Feb 16 2016 aj@ajaissle.de
- License now is explicitly MIT
* Fri Feb  5 2016 aj@ajaissle.de
- Update to 0.9.2
* Tue Sep 29 2015 aj@ajaissle.de
- Fix license (PyPi says MIT, COPYING says ISC)
* Thu Sep 17 2015 aj@ajaissle.de
- Spec cleanup
* Wed Apr  1 2015 aj@ajaissle.de
- Initial package, sievelib v0.8
